## cgmanager 0.24

=== debian/changelog ===
cgmanager (0.24-0ubuntu7.5~ubuntu12.04.1) precise-backports; urgency=medium

  * No-change backport to precise (LP: #1528401)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Dec 2015 19:36:22 -0500

cgmanager (0.24-0ubuntu7.5) trusty-proposed; urgency=medium

  * Fix d/p/0011-mount_tmpfs_onto_root.patch which was badly
    cherrypicked.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 Sep 2015 12:06:58 -0500

cgmanager (0.24-0ubuntu7.4) trusty-proposed; urgency=medium

  * d/p/0011-mount_tmpfs_onto_root.patch: mount a tmpfs onto /root to avoid
    hanging trying to open /root/.dbus-keyrings/org_freedesktop_general.lock
    (LP: #1493135)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 Sep 2015 14:14:43 -0500

cgmanager (0.24-0ubuntu7.3) trusty-proposed; urgency=medium

  * 0010-Fix-subdirectory-check.patch: prevent a task from administering
    sibling cgroups (LP: #1421068)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 11 Feb 2015 23:17:19 -0600

cgmanager (0.24-0ubuntu7.2) trusty-proposed; urgency=medium

  * 0009-chown-stop-cgmanager-crash-on-chown-of-bad-file.patch - prevent
    cgmanager crashing on unhandled dbus error (LP: #1407787) 

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 05 Jan 2015 14:48:05 -0600

cgmanager (0.24-0ubuntu7.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Cross-cgroup resource control bypass.
    - debian/patches/0001-make-sure-to-check-cgroup-hierarchy.patch, modify
      cgmanager.c to verify that requests are allowed under the caller's
      cgroup.
    - CVE-2014-1425

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 15 Dec 2014 17:01:08 -0800

cgmanager (0.24-0ubuntu7) trusty-proposed; urgency=medium

  [ Michael Terry ]
  * debian/patches/0007-fix-crash-on-free.patch:  (LP: #1322798)
    - Fix possible crash when freeing an IO channel

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 27 May 2014 12:33:21 -0500

cgmanager (0.24-0ubuntu6) trusty-proposed; urgency=low

  * 0002-exit-on-startup-error: Don't proceed to accept client connections
    if we failed to connect to the server. (LP: #1317693)
  * 0003-proxy-wait-2-seconds-for-server-reply: do not wait indefinately
    for replies from the cgmanager, as it may have crashed. (LP: #1317623)
  * 0004-Implement-getpidcgroupabs.patch: Provide a way for clients to
    query absolute paths which can be used with MovePidAbs (LP: #1315052)
  * 0005-get_controller_path-use-the-is_same_controller-helpe.patch:  Fix
    handling of name=systemd so that containers can be properly entered
    into the proper cgroup.  (LP: #1315521)
  * 0006-cgm-make-all-also-reference-name-systemd.patch: make cgm all
    also act on the name=systemd container  (LP: #1317687)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 08 May 2014 18:02:50 -0500

cgmanager (0.24-0ubuntu5) trusty; urgency=medium

  * Add a 'stop on' to the upstart jobs (LP: #1307008)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Apr 2014 00:13:44 -0500

cgmanager (0.24-0ubuntu4) trusty; urgency=medium

  * debian/control: drop Vcs-Git field, which was pointing to the upstream
    branch, not packaging branch.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 09 Apr 2014 23:13:03 -0500

cgmanager (0.24-0ubuntu3) trusty; urgency=medium

  * Use SIGSTOP as a way to tell upstart that we are ready to accept
    queries, this fixes a race condition. (LP: #1302174)
  * Emit cgmanager-ready once all the required daemons have been spawned
    and are ready for requests. (LP: #1302174)
  * Always kill cgproxy when spawning cgmanager, this is required to
    allow proper restart/respawning on systems using both daemons.
    (LP: #1302174)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 04 Apr 2014 21:04:43 -0400

cgmanager (0.24-0ubuntu2) trusty; urgency=medium

  [ Serge Hallyn ]
  * move libraries from /usr/lib into /lib (LP: #1301544)
  * debian/control:
    - remove ${shlibs:Depends} from cgmanager-utils, cgmanager-tests and
      libcgmanager-devel
  * Makefile.am:
    - add -shared to AM_LDFLAGS
    - add AM_LDFLAGS to libcgmanager's ldflags

  [ Stéphane Graber ]
  * Add adt support.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 02 Apr 2014 13:59:03 -0500

cgmanager (0.24-0ubuntu1) trusty; urgency=medium

  * Sync upstream relase v0.24
    - Includes RemoveOnEmpty method (LP: #1281683)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 31 Mar 2014 14:00:53 -0500

cgmanager (0.23-0ubuntu2) trusty; urgency=medium

  * debian/control: fix description of cgmanager-utils package.
  * debian/*.upstart: hard-code /sbin/ into the exec paths to avoid
    accidentally running old binaries not shipped with the package.
  * libcgmanager-dev.install: install libcgmanager.so

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 25 Mar 2014 10:15:14 -0500

cgmanager (0.23-0ubuntu1) trusty; urgency=medium

  * Pull upstream release v0.23
    - all patches are upstream, drop from debian/patches/
    - fix memory leak in scm handlers (LP: #1296804)
    - add a simple to use client tool (LP: #1295227)
  * debian/control: fix weak library dev dependency.
  * add cgmanager-utils package containing cgm client script

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 24 Mar 2014 11:56:04 -0500

cgmanager (0.20-0ubuntu5) trusty; urgency=medium

  * proxy: reconnect to cgmanager after disconnection (LP: #1294419)
  * print function name in most error messages

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 19 Mar 2014 00:18:56 -0500

cgmanager (0.20-0ubuntu4) trusty; urgency=medium

  * d/p/0003-set_value-only-check-write-access-rights.patch: fix wrong
    refusals to set cgroup values (LP: #1293647)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 17 Mar 2014 11:38:19 -0500

cgmanager (0.20-0ubuntu3) trusty; urgency=medium

  * Implement ListChildren method to list child cgroups (LP: #1285900)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 27 Feb 2014 16:51:30 -0600

cgmanager (0.20-0ubuntu2) trusty; urgency=medium


