=== debian/tests/control ===
Tests: exercise
Depends: cgmanager, dbus, @
Restrictions: needs-root allow-stderr
