## cgmanager 0.32

=== debian/changelog ===
cgmanager (0.32-4ubuntu1) utopic; urgency=medium

  * Fix wrong reporting of whether a cgroup existed at create when using
    multiple controllers.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 18 Sep 2014 16:32:06 -0500

cgmanager (0.32-4) unstable; urgency=medium

  * 0004-cgmanager-remount-sys-fs-cgroup-rw-if-needed.patch: stop cgmanager
    from overmounting systemd's /sys/fs/cgroup mounts (Closes: #761389)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 15 Sep 2014 12:29:31 -0500

cgmanager (0.32-3) unstable; urgency=medium

  * cherrypick 0003-gettasksrecursive_scm-call-the-right-main-function.patch
    to make the scm gettasksrecursive call the right hook.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 10 Sep 2014 20:32:05 -0500

cgmanager (0.32-2) unstable; urgency=medium

  * 0001-gettasksrecursive-call-the-scm-completion.patch - make the scm
    version of gettasksrecursive actually complete.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 10 Sep 2014 18:22:42 -0500

cgmanager (0.32-1) unstable; urgency=medium

  * New upstream release, implementing Prune, GetTasksRecursive, and
    ListControllers
  * cgmanager upstart job: start on starting dbus
  * 0001-fix-regression-introduced-by-recent-switch-to-nih_lo.patch:
    cherrypick upstream fix for get_tasks_recursive segv.
  * sysvinit jobs: fix mismatched use of do_ in do_start/do_stop
    (Closes: #759203)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 08 Sep 2014 18:03:02 -0500

cgmanager (0.30-1) unstable; urgency=medium

  * Merge new upstream release
    - drop all patches (applied upstream)
    - move cgm binary to cgmanager package
    - drop cgmanager-utils package, now unneeded
    - copy in init jobs from upstream (which have all fixes)
  * add notify-cgmanager.conf from ubuntu package to enable cgroup support
    in user-session Upstart.
  * 0001-fix-typo-in-systemd-makefile.patch - cherrypick upstream fix for ftbfs

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 04 Aug 2014 19:01:55 +0000

cgmanager (0.28-3) unstable; urgency=medium

  * cherrypick 0002-dont-issue-scary-warning-about-premounted-cgroup from
    upstream to quiet scary warnings when running under systemd
    (Closes: #756072)
  * re-work sysv init scripts:
    - split out restart from start (Closes: #756070)
    - check if daemon is running at top of start (Closes: #756073)
    - report failure if cgmanager failed to start (Closes: #756071)
    - stop cgproxy when stopping cgmanager (Closes: #756074)
  * cherrypick 0003-mount-root-private-in-our-ns.patch to avoid leaking
    cgroup mounts to host.
  * add dh-systemd to build-deps and add systemd units, disabled by default

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 28 Jul 2014 22:40:46 -0500

cgmanager (0.28-2) unstable; urgency=medium

  * cherrypick 0001-ignore-failure-to-mount-cgroups-at-startup.patch from
    upstream: don't fail to start if memory cgroup is not mountable.
    (Closes: #755990)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Jul 2014 12:56:01 -0500

cgmanager (0.28-1) unstable; urgency=medium

  * Initial release for Debian. (Closes: #754910)
  * debian/cgmanager.cgmanager.init: always mount name=systemd
  * debian/control:
    - remove hardening-wrapper dependency
    - make cgmanager-tests arch:all
  * debian/rules
    - remove CDBS hardening flags
    - set DEB_BUILD_MAINT_OPTIONS = hardening=+all
    - split out override_dh_installinit
  * debian/*init
    - use /run not /var/run for pidfiles
    - implement status
    - don't use 'service'
  * remove *.dirs and *.lintian-overrides
  * correct the copyright file

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 Jul 2014 14:25:10 -0500

cgmanager (0.27-0ubuntu7) utopic; urgency=medium

  * Fix the cgproxy sysvinit to not start non-nested on newer kernels.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Jul 2014 12:55:38 -0500

cgmanager (0.27-0ubuntu6) utopic; urgency=medium

  * make-sure-to-get-next-toke.patch: this is only needed in cases where
    controllers have been co-mounted (i.e. by systemd).

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Jul 2014 12:35:49 -0500

cgmanager (0.27-0ubuntu5) utopic; urgency=medium

  * Skip test14 on 3.16 kernels.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Jul 2014 10:04:28 -0500

cgmanager (0.27-0ubuntu4) utopic; urgency=medium

  * further debug recursive_rmdir.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 11 Jul 2014 16:00:31 -0500

cgmanager (0.27-0ubuntu3) utopic; urgency=medium

  * Add debug statements to all Remove failure points

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 11 Jul 2014 14:59:09 -0500

cgmanager (0.27-0ubuntu2) utopic; urgency=medium

  * test14: dump cgmanager log on failure

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 11 Jul 2014 13:43:36 -0500

cgmanager (0.27-0ubuntu1) utopic; urgency=medium

  * Merge upstream release 0.27
  * Drop all patches, all are upstream.
  * 0001-test14-add-some-debugging.patch - try to debug test14 failures in
    jenkins.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 11 Jul 2014 10:58:01 -0500

cgmanager (0.26-0ubuntu6) utopic; urgency=medium

  * Add sysvinit scripts.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 10 Jul 2014 22:13:59 -0500

cgmanager (0.26-0ubuntu5) utopic; urgency=medium

  * apply from upstream:
    0007-implement-all-and-comma-delimited-controller-sets-fo.patch
    This is needed for systemd-shim to be able to easily / robustly ask
    for all session cgroups to be auto-removed.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 10 Jul 2014 12:37:44 -0500

cgmanager (0.26-0ubuntu4) utopic; urgency=medium

  * Apply patches from upstream:
    - 0003-sort-the-controller-mounts.patch: speed up finding controller mount
      indexed by controller name.
    - 0004-handle-pre-mounted-and-co-mounted-subsystems.patch: make cgmanager
      play nicely when others (systemd or cgroup-lite) have already mounted

