## cgmanager 0.33

=== debian/changelog ===
cgmanager (0.33-2+deb8u2) testing-proposed-updates; urgency=medium

  * Cherrypick patches to run cgmanager in a private namespace to prevent
    host mounts from being pinned.  (Closes: #757348)
  * libcgmanager0.symbols: add list_keys
  * debian/rules: add dh_makeshlibs -- -c4 to fail when symbols are not
    added to libcgmangaer0.symbols.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sat, 14 Mar 2015 23:37:07 -0500

cgmanager (0.33-2+deb8u1) testing-proposed-updates; urgency=medium

  * SECURITY UPDATE: Cross-cgroup resource control bypass.
    - debian/patches/0003-make-sure-to-check-cgroup-hierarchy.patch, modify
      cgmanager.c to verify that requests are allowed under the caller's
      cgroup.
    - CVE-2014-1425
  * 0004-chown-stop-cgmanager-crash-on-chown-of-bad-file.patch and
    0005-prevent-some-cgmanager-asserts.patch: prevent cgmanager
    crashing on unhandled asserts or dbus error (LP: #1407787)
  * 0006-fix-subdirectory-check: further fix to the previous patch for
    CVE-2014-1425.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 26 Jan 2015 09:12:02 -0600

cgmanager (0.33-2) unstable; urgency=medium

  * Cherrypick two upstream patches to ensure that 'movepid all' continues
    when a subsystem is not enabled.  (Closes: #757348)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 14 Oct 2014 01:33:03 +0200

cgmanager (0.33-1) unstable; urgency=medium

  * New upstream release.  Drop all patches as all are upstream.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 29 Sep 2014 12:59:10 -0500
