## cgmanager 0.36

=== debian/changelog ===
cgmanager (0.36-2ubuntu5) vivid; urgency=medium

  * Mount tmpfs onto /root later, otherwise cgmanager at boot will frequently
    spin trying to open root/.dbus-keyrings/org_freedesktop_general.lock for
    writing on a readonly-at-boot /.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 06 Apr 2015 16:41:31 -0500

cgmanager (0.36-2ubuntu4) vivid; urgency=medium

  * Handle user passing in a list of co-mounted controllers (LP: #1438345)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 02 Apr 2015 09:30:10 -0500

cgmanager (0.36-2ubuntu3) vivid; urgency=medium

  * d/p/0006-cgmanager-make-exception-for-proxys-placed-in-system.patch:
    Make a special case for when cgproxy is started by systemd under a special
    slice.  Without this, nested containers with cgmanager are not possible.
  * Fix up the last patch - no behavior change, just make the flow more
    reassuring

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 23 Mar 2015 18:21:47 -0500

cgmanager (0.36-2ubuntu2) vivid; urgency=medium

  * Fix cgmanager handling of a corner case involving certain co-mounted 
    controllers  (LP: #1435416)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 23 Mar 2015 16:21:17 -0500

cgmanager (0.36-2ubuntu1) vivid; urgency=medium

  * d/p/fix-tests-on-systemd: skip tests which cannot succeed on systemd.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 10 Mar 2015 11:20:14 -0500

cgmanager (0.36-2) unstable; urgency=medium

  * import upstream patch to bind-mount / into new root.  (Closes: #757348)
  * import upstream patch to bind-mount /run into new root so that on
    sysvinit the /run/cgmanager.pid file shows up on the host.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 13 Feb 2015 13:48:40 -0600

cgmanager (0.36-1) unstable; urgency=medium

  * New upstream release.
    - start in a clean mounts namespace (Closes: #760281, #767468)
  * add *list_keys* to symbols file
  * pass -c4 to dh_makeshlibs to catch missing smbols in the future

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 11 Feb 2015 22:24:24 -0600

cgmanager (0.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: drop --no-enable from systemd units. (LP: #1400394)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 12 Jan 2015 09:02:44 -0600

cgmanager (0.34-1) unstable; urgency=high

  * New upstream release.  Drop all patches as all are now upstream.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 05 Jan 2015 14:28:19 -0600

cgmanager (0.33-3) unstable; urgency=medium

  * SECURITY UPDATE: Cross-cgroup resource control bypass.
    - debian/patches/0001-make-sure-to-check-cgroup-hierarchy.patch, modify
      cgmanager.c to verify that requests are allowed under the caller's
      cgroup.
    - CVE-2014-1425

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 16 Dec 2014 14:33:39 -0600
