=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
         libtool,
         nih-dbus-tool,
         pkg-config,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cgmanager.linuxcontainers.org/
 XS-Testsuite: autopkgtest
