=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --exec-prefix=
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 override_dh_install:
 	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcgmanager.so.* \
@@ -30,11 +33,7 @@
 	dh_install
 
 override_dh_installinit:
-	dh_systemd_enable -pcgmanager --name=cgmanager --no-enable
-	dh_systemd_enable -pcgmanager --name=cgproxy --no-enable
+	dh_systemd_enable -pcgmanager --name=cgmanager
+	dh_systemd_enable -pcgmanager --name=cgproxy
 	dh_installinit -pcgmanager --name=cgmanager
 	dh_installinit -pcgmanager --name=cgproxy
-
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
