## cgmanager 0.39

=== debian/changelog ===
cgmanager (0.39-2ubuntu5) xenial; urgency=medium

  * Update previous patch to remove all the (non-initial) errors printed to
    stderr. (LP: #1534090)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 18 Jan 2016 10:50:00 -0800

cgmanager (0.39-2ubuntu4) xenial; urgency=medium

  * Silence warning when we can't set autoremove (LP: #1534487)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 15 Jan 2016 10:13:02 -0800

cgmanager (0.39-2ubuntu3) xenial; urgency=medium

  * pamcgm-handle-comounts.patch: fix handling of -c argument if listed
    controller is comounted.  Also if a bad -c argument is given, then
    fail.
  * Update README.Debian to not recommend updating /usr files.
    (Closes: #806841)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 30 Dec 2015 09:32:19 -0800

cgmanager (0.39-2ubuntu2) wily; urgency=medium

  * Allow systemd to escape its custom cgroup.  (LP: #1497420)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 15 Oct 2015 09:00:25 -0500

cgmanager (0.39-2ubuntu1) wily; urgency=medium

  * Fix failure to start when upgrading to new cgm-release-agent location.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 13 Oct 2015 14:50:12 -0500

cgmanager (0.39-2) unstable; urgency=medium

  * address lintian warnings:
    - drop empty /lib/security from libpam-cgm.dirs
    - drop redundant section and priority
    - make C/R for cgmanager-utils unversioned
    - move cgm-release-agent to /lib/cgmanager/

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Sep 2015 17:18:42 -0500

cgmanager (0.39-1) unstable; urgency=medium

  * New release
  * 0001-cgmanager-turn-cgroupfs-rw-before-trying-to-unlink-s.patch: upstream
    patch to make sure cgroupfs is writeable before attempting to clean up a
    stale cgmanager socket.
  * add libpam-cgm package

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 Sep 2015 14:58:46 -0500

cgmanager (0.37-1) unstable; urgency=medium

  * New upstream release

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 May 2015 13:35:10 -0400
