=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --exec-prefix=
+	dh_auto_configure -- --exec-prefix= --libexecdir=/lib
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
@@ -25,6 +25,8 @@
 	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcgmanager.so.* \
 		$(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
+	cp $(CURDIR)/debian/pam-cgm.config \
+		$(CURDIR)/debian/libpam-cgm/usr/share/pam-configs/cgm
 	for i in $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcgmanager.so ; do \
 		dest=$$(readlink $$i) ; \
 		rm -f $$i ; \
