## cgmanager 0.41

=== debian/changelog ===
cgmanager (0.41-2.0experimental1) UNRELEASED; urgency=medium

  * bookworm init-diversity recompile with patched libnih.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 29 Mar 2024 22:22:22 +1000

cgmanager (0.41-2.0antix1) unstable; urgency=medium

  * antiX bullseye build 

 -- anticapitalista <antix@operamail.com>  Sun, 20 Dec 2020 00:01:34 +0200

cgmanager (0.41-2) unstable; urgency=medium

  * debian/rules: fix dpkg-buildpackage -A (Closes: #806004)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 05 Apr 2016 00:10:20 -0500

cgmanager (0.41-1) unstable; urgency=medium

  * Merge upstream version 0.41
  * Fix suggested method for updating pam-cgm config. (Closes: #806841)
  * Remove two patches which are now upstream.
  * debian/tests: make sure to enable memory cgroups in grub, reboot,
    and add sudo to required packages.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 29 Feb 2016 18:06:44 -0800
