=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 %:
 	dh $@  --with autotools_dev --with autoreconf
 
+override_dh_clean:
+	rm -rf README.md
+	dh_clean
+
 override_dh_autoreconf:
 	[ -e m4 ] || mkdir m4
 	dh_autoreconf
@@ -21,12 +25,11 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_install:
+override_dh_auto_install:
+	dh_auto_install
 	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcgmanager.so.* \
 		$(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
-	cp $(CURDIR)/debian/pam-cgm.config \
-		$(CURDIR)/debian/libpam-cgm/usr/share/pam-configs/cgm
 	for i in $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcgmanager.so ; do \
 		dest=$$(readlink $$i) ; \
 		rm -f $$i ; \
@@ -34,6 +37,11 @@
 	done
 	dh_install
 
+override_dh_install-arch:
+	dh_install
+	cp $(CURDIR)/debian/pam-cgm.config \
+		$(CURDIR)/debian/libpam-cgm/usr/share/pam-configs/cgm
+
 override_dh_installinit:
 	dh_systemd_enable -pcgmanager --name=cgmanager
 	dh_systemd_enable -pcgmanager --name=cgproxy
