## cgmanager 0.42

=== debian/changelog ===
cgmanager (0.42-1) mx; urgency=medium

  * New upstream release
  ^ Build for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 07 Feb 2021 12:11:09 -0500
