=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: cgmanager
-Section: init-diversity
+Section: admin
 Priority: optional
-Maintainer: ProwlerGr <Prowler73@gmail.com>, Serge Hallyn <serge.hallyn@ubuntu.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
 Build-Depends:
         autotools-dev,
-        debhelper (>= 9),
+        debhelper (>= 12),
         dh-autoreconf,
         help2man,
         libdbus-1-dev,
         libnih-dbus-dev,
         libnih-dev,
+        libpopt-dev,
         libtool,
         libpam0g-dev,
         nih-dbus-tool,
@@ -56,7 +58,7 @@
  This package contains the shared library.
 
 Package: libcgmanager-dev
-Section: init-diversity
+Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
